Doomsday Engine - Bug #2318

Light blending bug where dynamic lights with additive blending cause textures to become
temporarily fully white

2019-01-23 09:24 - skyjake

Status: Closed Start date: 2019-01-23
Priority: Normal % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 2141

Description

For example, see comments:

e https://talk.dengine.net/discussion/comment/17388/#Comment_17388
e https://talk.dengine.net/discussion/2667/hexen-flickering-problem

Associated revisions

Revision 40938758 - 2019-01-27 19:09 - skyjake
Fixed|Renderer: Missing blending modes in DGL shader

DGL texture modulation modes 5 and 7 were missing. These were being used for additive dynamic lights (e.g., when fog is enabled).
IssuelD #2318

Revision 4d8442d4 - 2019-01-27 19:10 - skyjake

Fixed|Renderer: Missing blending modes in DGL shader

DGL texture modulation modes 5 and 7 were missing. These were being used for additive dynamic lights (e.g., when fog is enabled).

IssuelD #2318

History

#1 - 2019-01-23 09:25 - skyjake

- Description updated

#2 - 2019-01-27 18:54 - skyjake

- Subject changed from Apparent light blending bug where dynamic lights cause textures to become temporarily fully white to Light blending bug where
dynamic lights with additive blending cause textures to become temporarily fully white

#3 - 2019-01-27 18:56 - skyjake
- Status changed from New to In Progress

- % Done changed from 0 to 30

#4 - 2019-01-27 19:09 - skyjake
- Status changed from In Progress to Resolved

- % Done changed from 30 to 100

#5 - 2019-02-17 12:42 - skyjake

- Status changed from Resolved to Closed
